Login screen showing Authentication Failure Switch to greeter...

Bug #1733557 reported by Andrew Neeson on 2017-11-21
758
This bug affects 156 people
Affects Status Importance Assigned to Milestone
unity (Ubuntu)
Medium
Andrea Azzarone
Xenial
Medium
Andrea Azzarone
Bionic
Medium
Andrea Azzarone
Cosmic
Medium
Andrea Azzarone

Bug Description

[Impact]

After locking, the login screen shows the message "Authentication Failure" and the user must click "Switch to greeter" to continue.

This SRU fixes the regression introduced in 44e6022, which causes the lock screen to start failing when session switching is involved. This can happen when you unlock the session from LightDM or from the CLI. We need to cancel the authentication in order to ensure that the next one does not fail.

[Test Case]

On a system with LightDM and more than one local user ("bob" and "alice"):
1. Login under bob.
2. Via upper-right menu switch to "alice".
3. On greeter screen select "alice", login under alice.
4. Logout, return to greeter screen.
5. Select bob (already logged in). Enter password.
6. Lock screen.

[Other Info]

This happens mostly after switching user sessions.
Syslog contains entries like:
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 2 time.

Related branches

Andrew Neeson (andyrokit) wrote :
no longer affects: gnome-control-center (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lightdm (Ubuntu):
status: New → Confirmed

Anyone know either the cause, or a solution?

If it helps, the two computers where I'm seeing this also happen to be the two host computers where I run Virtualbox.

Andrew Neeson (andyrokit) wrote :

My issues began shortly after upgrading from 16.10 -> 17.10. Most of my issues related to graphical components so perhaps it was related to the switch to Wayland?

...as for a fix - I ended up reformatting my machine with a fresh 17.10. Haven't seen any of the issues since.

See: https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1733318
for a list of other issues to happen at the same time.

Eugene Romanenko (eros2) wrote :

Same on 16.04.3 after updating Unity to latest proposed packages.
Also on 17.10 with installed unity-session.

For me, this issue appears after switching to another user.

Steps to reproduce (must be more than one local users on system, eg. "bob", "alice"):
1. Login under bob.
2. Via upper-right menu switch to "alice".
3. On greeter screen setect "alice", login under alice.
4. Logout, return to greeter screen.
5. Select bob (already logged in). Enter password.
6. Lock screen. Issue appeared.
Issue appeared on every screen lock.

Messages in syslog:

Jan 6 17:15:33 eugene-Lenovo-Flex-2-14 systemd[1411]: Stopped Backing Service for the Unity Panel in Lockscreen mode.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 1 time.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 2 time.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 systemd[1411]: Starting Backing Service for the Unity Panel in Lockscreen mode...
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.glib.dbus.proxy GLibDBusProxy.cpp:487 Calling method "EmitEvent" on object path: "/com/ubuntu/Upstart" failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name com.canonical.Unity.Test.Upstart was not provided by any .service files
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 systemd-prestart-check[3804]: grep: /usr/share/gnome-session/sessions/ubuntu.session: Нет такого файла или каталога
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 systemd[1411]: Started Backing Service for the Unity Panel in Lockscreen mode.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 systemd[1411]: Reached target A target that, when running, represents the screen being locked.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 3 time.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 4 time.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 5 time.

hife (hife) wrote :

Same as Eugene, the problem started popping up after upgrading Unity. When I lock my screen or wake from suspend, I get the described behaviour.

As a temporary fix, is there a way to just skip that screen and always go to the greeter when locking the screen or suspending?

hife (hife) wrote :

P.S.: To be precise, the message I get is not "Authentication failed", but "Authentication failure". This may be related to my system language being German.

Luis Alberto Pabón (copong) wrote :

I'm seeing this also upon 17.10 upgrade in unity / lightdm / unity greeter.

It doesn't happen 100% of the time, typically takes some time time to manifest (I only ever suspend my laptop from monday to friday), but once it starts happening, it always happens until I shut down.

Eugene Romanenko (eros2) wrote :

Appears on 16.04.3 after updating Unity to latest packages.
Also on 17.10 with installed unity-session.

For me, this issue appears after switching to another user.

Steps to reproduce (must be more than one local users on system, eg. "bob", "alice"):
1. Login under bob.
2. Via upper-right menu switch to "alice".
3. On greeter screen setect "alice", login under alice.
4. Logout, return to greeter screen.
5. Select bob (already logged in). Enter password.
6. Lock screen. Issue appeared.
Issue appeared on every screen lock.

Messages in syslog:

Jan 6 17:15:33 eugene-Lenovo-Flex-2-14 systemd[1411]: Stopped Backing Service for the Unity Panel in Lockscreen mode.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 1 time.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 2 time.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 systemd[1411]: Starting Backing Service for the Unity Panel in Lockscreen mode...
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.glib.dbus.proxy GLibDBusProxy.cpp:487 Calling method "EmitEvent" on object path: "/com/ubuntu/Upstart" failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name com.canonical.Unity.Test.Upstart was not provided by any .service files
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 systemd-prestart-check[3804]: grep: /usr/share/gnome-session/sessions/ubuntu.session: Нет такого файла или каталога
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 systemd[1411]: Started Backing Service for the Unity Panel in Lockscreen mode.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 systemd[1411]: Reached target A target that, when running, represents the screen being locked.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 3 time.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 4 time.
Jan 6 17:15:42 eugene-Lenovo-Flex-2-14 compiz[1877]: WARN 2018-01-06 17:15:42 unity.lockscreen UserPromptView.cpp:500 Failed to start the authentication process. Retrying for 5 time.

summary: - Login screen showing Authentication Failed Switch to greeter...
+ Login screen showing Authentication Failure Switch to greeter...
affects: lightdm (Ubuntu) → unity (Ubuntu)
tags: added: 16.04 17.10 unity xenial
Eugene Romanenko (eros2) wrote :

Screenshot from virtualbox test install.

Khurshid Alam (khurshid-alam) wrote :

Something to do with pam. But this is only happening in 16.04...I can't reproduce on bionic (https://code.launchpad.net/~azzar1/unity/pam-logging-xenial)

Garcia David (davidgfolch) wrote :

For me, in an Ubuntu 16.04, happends every time I lock (or my laptot sleeps) and the login screen appears. It seems that it happends since I've installed virtualbox 5.4?

Eugene Romanenko (eros2) wrote :

> It seems that it happends since I've installed virtualbox 5.4?

Sure no, it just since latest unity update was landed in 16.04.

Eugene Romanenko (eros2) wrote :

> only happening in 16.04...I can't reproduce on bionic

In artful and bionic this issue reproduceable if lightdm used as display manager.

description: updated
description: updated
Eugene Romanenko (eros2) on 2018-02-21
description: updated
description: updated

This just started happening to me in 16.04 LTS. Not fatal, but annoying.

FYI, I use a KVM switch on one of two monitors connected to Ubuntu.

This started happening to me after the following scenario:
- I had account for my wife, created on the machine, but she has not used it ever.
- today she logged in with her account.
- after she logged out the bug was present, when I attempted to log in.
Now when I Lock/Switch Account the bug is produced.

Eugene Romanenko (eros2) wrote :

Sometimes I think Unity developers never use Unity actually, as this issue immediately visible when you share home PC with wife and children (assuming they have separate accounts).

Khurshid Alam (khurshid-alam) wrote :

@Eugene

It depends on the hardware/graphics. But as I said, I can't reproduce it on bionic (bionic has different unity/lightdm version). Can you reproduce it in a live iso?

Eugene Romanenko (eros2) wrote :

> It depends on the hardware/graphics.

Sure, no. I tested and have this issue on home PC (16.04.3 after latest Unity update, AMD Phenom CPU/Nvidia GPU), work PC (17.10, Intel i7/Intel), Lenovo flex laptop (17.10, intel i5), and of course in VirtualBox (16.04.3 fresh install with latest updates, 18.04).

> But as I said, I can't reproduce it on bionic (bionic has different unity/lightdm version). Can you reproduce it in a live iso?

Not tried live iso, but I have test box with up-to-date 18.04. Just two days ago I tried:

Added second user account;
sudo apt install unity-session lightdm
sudo apt purge ubuntu-session gnome-shell gdm3

Reboot, login as first user, start second user session, end session, return to first user session, lock screen - issue here.

Bionic live iso does not have unity and lightdm preinstalled, so them will be downloaded from repository anyway.

Garcia David (davidgfolch) wrote :

In my case, I've installed virtualbox-dkms 32bits, in host "Ubuntu 16 64bits", instead than in the virtualbox hosted "Ubuntu 16 32bits"

When I've removed those 32bits libs the problem disappeared.

It started to happen to my laptop today after I did an upgrade.

Ubuntu 16.04.

4.13.0-36-generic #40~16.04.1-Ubuntu SMP Fri Feb 16 23:25:58 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Start-Date: 2018-02-24 14:43:33
Commandline: apt dist-upgrade
Requested-By: avillez (1000)
Upgrade: libpulsedsp:amd64 (1:8.0-0ubuntu3.7, 1:8.0-0ubuntu3.8), grub-common:amd
64 (2.02~beta2-36ubuntu3.16, 2.02~beta2-36ubuntu3.17), pulseaudio:amd64 (1:8.0-0
ubuntu3.7, 1:8.0-0ubuntu3.8), google-chrome-stable:amd64 (64.0.3282.167-1, 64.0.3282.186-1), python-apt-common:amd64 (1.1.0~beta1build1, 1.1.0~beta1ubuntu0.16.04.1), grub2-common:amd64 (2.02~beta2-36ubuntu3.16, 2.02~beta2-36ubuntu3.17), grub-pc:amd64 (2.02~beta2-36ubuntu3.16, 2.02~beta2-36ubuntu3.17), grub-pc-bin:amd64 (2.02~beta2-36ubuntu3.16, 2.02~beta2-36ubuntu3.17), ubuntu-drivers-common:amd64 (1:0.4.17.3, 1:0.4.17.6), python3-distupgrade:amd64 (1:16.04.23, 1:16.04.24), libpulse0:amd64 (1:8.0-0ubuntu3.7, 1:8.0-0ubuntu3.8), ubuntu-release-upgrader-core:amd64 (1:16.04.23, 1:16.04.24), libpulse-mainloop-glib0:amd64 (1:8.0-0ubuntu3.7, 1:8.0-0ubuntu3.8), pulseaudio-module-x11:amd64 (1:8.0-0ubuntu3.7, 1:8.0-0ubuntu3.8), ubuntu-release-upgrader-gtk:amd64 (1:16.04.23, 1:16.04.24), pulseaudio-module-bluetooth:amd64 (1:8.0-0ubuntu3.7, 1:8.0-0ubuntu3.8), pulseaudio-utils:amd64 (1:8.0-0ubuntu3.7, 1:8.0-0ubuntu3.8), python3-apt:amd64 (1.1.0~beta1build1, 1.1.0~beta1ubuntu0.16.04.1), base-files:amd64 (9.4ubuntu4.5, 9.4ubuntu4.6)
End-Date: 2018-02-24 14:44:44

Hendri Schoeman (hendrisch) wrote :

I can confirm the same is also happening on my notebook.
Everything was fine up to about 2-3 weeks ago.

```
hendri@neptune: ~$ cat /etc/issue
Ubuntu 16.04.4 LTS \n \l
```

OS: Ubuntu 16.04.4 ... all up to date
Hardware:
 Gigabyte P15 Notebook
 - Graphics - nVidida GTX 950M + Intel (Dual graphics)
 - Processor - i7-7700HQ
 - HDD 1 - Standard 1 TB HDD
 - HDD 2 - 950 Evo m.2 SSD
 - 8GB mem
Graphics driver - nVidia 384.111

I reckon it has something to do with the nVidia Driver.

NULL (krush206) wrote :

I can confirm this bug occurs with me aswell, though, I was doing some maintenance in my computer yesterday and after replugging the power cable of the monitor, instead of plugging it in my voltage stabilizer, I plugged it in the computer's power supply, after using Ubuntu for awhile, I locked the screen and noticed the bug was gone, Im not sure why this worked but this was the workaround I (mistakenly) found

Nick Williams (rogwilco) wrote :

I started encountering this issue also. My system was working fine up until yesterday when this started happening. I most often notice it when I connect my laptop to an external display (or make some other display related change that kicks me to the login prompt).

Silvia (fichera-sil) wrote :

I have this problem starting from today when I locked my laptop with win+L.

Description: Ubuntu 16.04.4 LTS
Release: 16.04
Codename: xenial

Rubens (rhkina) wrote :

Same issue!
Ubuntu: 16.04 LTS

R_volkmann (r-volkmann) wrote :

Same for me since last unity update and is very annoying

- CPU: i8700k
- Geforce 1060
- no Virtualbox installed
- multi-user
- English languade, German keyboard

Bodinux (bodinux) wrote :

I confirm the occurrence of this bug since yesterday.

Alexander (azol) wrote :

Confirming the same issue, Ubuntu: 16.04 LTS
Just began to experience it after last batch of system updates.

P.Constantine (pconstantine) wrote :

Mar 11 22:50:23 lenovo lightdm[1216]: ** (lightdm:1216): WARNING **: Error using VT_WAITACTIVE 7 on /dev/tty0: Interrupted system call
Mar 11 22:50:23 lenovo org.gtk.vfs.Daemon[11625]: A connection to the bus can't be made

B@MB@M (bart-bamweb) wrote :
Download full text (6.2 KiB)

I have the same issue.

I have Virtualbox running as well.
I'm not switching between users. Just standby and resume.

Here are some parts of several logfiles.

auth.log
======================================
Mar 12 16:36:33 BN pkexec: pam_systemd(polkit-1:session): Cannot create session: Already running in a session
Mar 12 16:36:33 BN pkexec[20336]: bart: Executing command [USER=root] [TTY=unknown] [CWD=/home/bart] [COMMAND=/usr/lib/unity-settings-daemon/usd-backlight-helper --set-brightness 7126]
Mar 12 16:36:45 BN lightdm: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Mar 12 16:36:45 BN lightdm: PAM adding faulty module: pam_kwallet.so
Mar 12 16:36:45 BN lightdm: PAM unable to dlopen(pam_kwallet5.so): /lib/security/pam_kwallet5.so: cannot open shared object file: No such file or directory
Mar 12 16:36:45 BN lightdm: PAM adding faulty module: pam_kwallet5.so
Mar 12 16:36:45 BN lightdm: pam_unix(lightdm-greeter:session): session opened for user lightdm by (uid=0)
Mar 12 16:36:45 BN systemd-logind[1178]: New session c32 of user lightdm.
Mar 12 16:36:45 BN lightdm: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Mar 12 16:36:45 BN lightdm: PAM adding faulty module: pam_kwallet.so
Mar 12 16:36:45 BN lightdm: PAM unable to dlopen(pam_kwallet5.so): /lib/security/pam_kwallet5.so: cannot open shared object file: No such file or directory
Mar 12 16:36:45 BN lightdm: PAM adding faulty module: pam_kwallet5.so
Mar 12 16:36:45 BN lightdm: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "bart"
Mar 12 16:36:49 BN lightdm: pam_unix(lightdm-greeter:session): session closed for user lightdm
Mar 12 16:36:49 BN dbus[1153]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.498" (uid=109 pid=20527 comm="/usr/lib/x86_64-linux-gnu/indicator-bluetooth/indi") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.380" (uid=0 pid=10380 comm="/usr/lib/bluetooth/bluetoothd ")
Mar 12 16:36:49 BN dbus[1153]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.498" (uid=109 pid=20527 comm="/usr/lib/x86_64-linux-gnu/indicator-bluetooth/indi") interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination="org.bluez" (uid=0 pid=10380 comm="/usr/lib/bluetooth/bluetoothd ")
Mar 12 16:37:15 BN sudo: bart : TTY=pts/22 ; PWD=/home/bart ; USER=root ; COMMAND=/usr/bin/zsh
Mar 12 16:37:15 BN sudo: pam_unix(sudo:session): session opened for user root by (uid=0)
Mar 12 16:38:58 BN pkexec: pam_unix(polkit-1:session): session opened for user root by (uid=1000)
Mar 12 16:38:58 BN pkexec: pam_systemd(polkit-1:session): Cannot create session: Already running in a session
Mar 12 16:38:58 BN pkexec[22237]: bart: Executing command [USER=root] [TTY=unknown] [CWD=/home/bart] [COMMAND=/usr/lib/update-notifier/package-system-locked]

Xorg.0.log
======================================
[ 23362.625] (II) AIGLX: Suspendi...

Read more...

B@MB@M (bart-bamweb) wrote :

this is a 16.04 system

$ lsb_release -a
LSB Version: core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:printing-9.20160110ubuntu0.2-amd64:printing-9.20160110ubuntu0.2-noarch:security-9.20160110ubuntu0.2-amd64:security-9.20160110ubuntu0.2-noarch
Distributor ID: Ubuntu
Description: Ubuntu 16.04.4 LTS
Release: 16.04
Codename: xenial

DeltaLima (Marcus) (dlm274) wrote :

same here, experiencing this until 2018-03-08 on my DellXPS 13 with latest i7 gen. (8.).
i have not done some debugging, but at this date the unity package was updated:

2018-03-08 09:35:13 upgrade unity:amd64 7.4.5+16.04.20171201.3 7.4.5+16.04.20180221-0ubuntu1

root@Atomrakete:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.4 LTS
Release: 16.04
Codename: xenial

It happens to me when i lock my screen with win+l

logfiles needed by someone?

Edu (eduweb) wrote :

Same issue in my laptop Lenovo G40-80 I think after some apt-get update/upgrade it has started. (Between 2 or 3 weeks ago)

I'm the only user of this computer. There is only my user and admin is disabled.
I use Virtual Box and it was upgraded recently to Version 5.1.34 r121010 (Qt5.5.1).

If I lock screen it don't happens immediately. It happens only after screen goes blank.
Then I have to click on "switch to greeter" in password field and wait some seconds to screen changes and I be able to insert password.

# lsb_release -a
LSB Version: core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:printing-9.20160110ubuntu0.2-amd64:printing-9.20160110ubuntu0.2-noarch:security-9.20160110ubuntu0.2-amd64:security-9.20160110ubuntu0.2-noarch
Distributor ID: Ubuntu
Description: Ubuntu 16.04.4 LTS
Release: 16.04
Codename: xenial

Axl Mattheus (4xm4x) wrote :

Replaced my hostname with ...hostname... and user name with ...user...

auth.log says:

Mar 13 16:59:10 ...hostname... lightdm: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Mar 13 16:59:10 ...hostname... lightdm: PAM adding faulty module: pam_kwallet.so
Mar 13 16:59:10 ...hostname... lightdm: PAM unable to dlopen(pam_kwallet5.so): /lib/security/pam_kwallet5.so: cannot open shared object file: No such file or directory
Mar 13 16:59:10 ...hostname... lightdm: PAM adding faulty module: pam_kwallet5.so
Mar 13 16:59:10 ...hostname... lightdm: pam_unix(lightdm-greeter:session): session opened for user lightdm by (uid=0)
Mar 13 16:59:10 ...hostname... systemd-logind[1033]: New session c6 of user lightdm.
Mar 13 16:59:10 ...hostname... lightdm: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Mar 13 16:59:10 ...hostname... lightdm: PAM adding faulty module: pam_kwallet.so
Mar 13 16:59:10 ...hostname... lightdm: PAM unable to dlopen(pam_kwallet5.so): /lib/security/pam_kwallet5.so: cannot open shared object file: No such file or directory
Mar 13 16:59:10 ...hostname... lightdm: PAM adding faulty module: pam_kwallet5.so
Mar 13 16:59:10 ...hostname... lightdm: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "...user..."
Mar 13 16:59:16 ...hostname... lightdm: pam_unix(lightdm-greeter:session): session closed for user lightdm

Erik Meitner (e.meitner) wrote :

I have this problem after installing updates yesterday. Looks like like how Eugene shows in comment #10.

The attachment contains the data logged in x-0.log, seat0-greeter.log, lightdm.log, and x-1.log in the /var/log/lightdm directory during a test. I pressed CTRL-ALT-L, waited 10 seconds, clicked "Switch to greeter...", waited 10 seconds, then logged in and stopped recording.

There is a DBus error, but not much else.

WirelessMoves (gsmumts) wrote :

Same here, happens since I installed updates on my 16.04 system yesterday. Never had this before. Uisng STRG-L to lock the screen frequently.

WirelessMoves (gsmumts) wrote :
Download full text (6.7 KiB)

Addition: Here are the packages that were updated. After this update the problem appeared on my 16.04 LTE system:

Log started: 2018-03-14 06:45:32
(Reading database ... 253390 files and directories currently installed.)
Preparing to unpack .../python-samba_2%3a4.3.11+dfsg-0ubuntu0.16.04.13_amd64.deb ...
Unpacking python-samba (2:4.3.11+dfsg-0ubuntu0.16.04.13) over (2:4.3.11+dfsg-0ubuntu0.16.04.12) ...
Preparing to unpack .../samba-common-bin_2%3a4.3.11+dfsg-0ubuntu0.16.04.13_amd64.deb ...
Unpacking samba-common-bin (2:4.3.11+dfsg-0ubuntu0.16.04.13) over (2:4.3.11+dfsg-0ubuntu0.16.04.12) ...
Preparing to unpack .../smbclient_2%3a4.3.11+dfsg-0ubuntu0.16.04.13_amd64.deb ...
Unpacking smbclient (2:4.3.11+dfsg-0ubuntu0.16.04.13) over (2:4.3.11+dfsg-0ubuntu0.16.04.12) ...
Preparing to unpack .../samba-libs_2%3a4.3.11+dfsg-0ubuntu0.16.04.13_amd64.deb ...
Unpacking samba-libs:amd64 (2:4.3.11+dfsg-0ubuntu0.16.04.13) over (2:4.3.11+dfsg-0ubuntu0.16.04.12) ...
Preparing to unpack .../libwbclient0_2%3a4.3.11+dfsg-0ubuntu0.16.04.13_amd64.deb ...
Unpacking libwbclient0:amd64 (2:4.3.11+dfsg-0ubuntu0.16.04.13) over (2:4.3.11+dfsg-0ubuntu0.16.04.12) ...
Preparing to unpack .../libsmbclient_2%3a4.3.11+dfsg-0ubuntu0.16.04.13_amd64.deb ...
Unpacking libsmbclient:amd64 (2:4.3.11+dfsg-0ubuntu0.16.04.13) over (2:4.3.11+dfsg-0ubuntu0.16.04.12) ...
Preparing to unpack .../samba-common_2%3a4.3.11+dfsg-0ubuntu0.16.04.13_all.deb ...
Unpacking samba-common (2:4.3.11+dfsg-0ubuntu0.16.04.13) over (2:4.3.11+dfsg-0ubuntu0.16.04.12) ...
Preparing to unpack .../update-notifier_3.168.8_amd64.deb ...
Unpacking update-notifier (3.168.8) over (3.168.7) ...
Preparing to unpack .../update-notifier-common_3.168.8_all.deb ...
Unpacking update-notifier-common (3.168.8) over (3.168.7) ...
Preparing to unpack .../libapparmor1_2.10.95-0ubuntu2.9_amd64.deb ...
Unpacking libapparmor1:amd64 (2.10.95-0ubuntu2.9) over (2.10.95-0ubuntu2.8) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for gconf2 (3.2.6-3ubuntu6) ...
Processing triggers for libglib2.0-0:amd64 (2.48.2-0ubuntu1) ...
Setting up libapparmor1:amd64 (2.10.95-0ubuntu2.9) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
(Reading database ... 253390 files and directories currently installed.)
Preparing to unpack .../libgcrypt20_1.6.5-2ubuntu0.4_amd64.deb ...
Unpacking libgcrypt20:amd64 (1.6.5-2ubuntu0.4) over (1.6.5-2ubuntu0.3) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Setting up libgcrypt20:amd64 (1.6.5-2ubuntu0.4) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
(Reading database ... 253390 files and directories currently installed.)
Preparing to unpack .../libapparmor-perl_2.10.95-0ubuntu2.9_amd64.deb ...
Unpacking libapparmor-perl (2.10.95-0ubuntu2.9) over (2.10.95-0ubuntu2.8) ...
Preparing to unpack .../apparmor_2.10.95-0ubuntu2.9_amd64.deb ...
Unpacking apparmor (2.10.95-0ubuntu2.9) over (2.10.95-0ubuntu2.8) ...
Preparing to unpack .../friendly-recovery_0.2.31ubuntu1_all.deb ...
Unpacking friendly-recovery (0.2.31ubuntu1) over (0.2.31) ...
Preparing to unpack...

Read more...

john rogers (0-john-m) wrote :

I had this on my 16.04 system and it was INFURIATING - was taking 30s or so to login after a lock screen.
I *think* I've found a workaround...
Changing the driver to neuveu reboot ( deal with the failure to detect resolution if needed )
change back to nvidia driver reboot
back to normal :) ( for the last 3 locks at least... fingers crossed!

WirelessMoves (gsmumts) wrote :

Update to #37 and #38 reporting the issue on 16.04 LTS: The issue went away as silently as it initially came. Ran another apt update/upgrade today, totally different packages updated and then rebooted. 'Authentication Failure' in the lock screen is now gone, even after several reboots.

For completeness here are the packages that updated, I don't see a comonality here.:

Start-Date: 2018-03-14 21:25:36
Commandline: apt upgrade
Requested-By: martin (1000)
Install: linux-image-extra-4.13.0-37-generic:amd64 (4.13.0-37.42~16.04.1, automatic), linux-headers-4.13.0-37-generic:amd64 (4.13.0-37.42~16.04.1, automatic), linux-headers-4.13.0-37:amd64 (4.13.0-37.42~16.04.1, automatic), linux-image-4.13.0-37-generic:amd64 (4.13.0-37.42~16.04.1, automatic)
Upgrade: unity-control-center-faces:amd64 (15.04.0+16.04.20170214-0ubuntu2, 15.04.0+16.04.20171130-0ubuntu1), linux-image-generic-hwe-16.04:amd64 (4.13.0.36.55, 4.13.0.37.56), linux-generic-hwe-16.04:amd64 (4.13.0.36.55, 4.13.0.37.56), unity-control-center:amd64 (15.04.0+16.04.20170214-0ubuntu2, 15.04.0+16.04.20171130-0ubuntu1), firefox-locale-en:amd64 (58.0.2+build1-0ubuntu0.16.04.1, 59.0+build5-0ubuntu0.16.04.1), libunity-control-center1:amd64 (15.04.0+16.04.20170214-0ubuntu2, 15.04.0+16.04.20171130-0ubuntu1), firefox:amd64 (58.0.2+build1-0ubuntu0.16.04.1, 59.0+build5-0ubuntu0.16.04.1), linux-headers-generic-hwe-16.04:amd64 (4.13.0.36.55, 4.13.0.37.56)
End-Date: 2018-03-14 21:26:48

Rolf Leggewie (r0lf) on 2018-06-30
tags: added: bionic
65 comments hidden view all 145 comments
Michael Engelbrecht (mikee13) wrote :

Hi. I also have this problem on my DELL Optiplex AIO 9010 running Ubuntu 16.04.5 LTS.

And "Yes I know that 16.04 is no longer supported" ... however it seems that if you upgrade to 18.04, it does not solve the problem and in fact makes it worse !! At the moment, I get this message after my desktop has been sleeping, click on it and the usual login prompt appears whereas with 18.04 it seems that we cannot switch to the login screen without pressing CTRL-ALT-F1.

Rick Harris (rickfharris) wrote :

In reply to #105

Have tested reverting that fix and it just re-introduces the bug
"After locking screen there is no input field to type password for unlock"

Having no input field is worse.

Rael Gugelmin Cunha (rael-gc) wrote :

@angela: I tested and it doesn't work. It had the same effect as restart or restart unity/compiz plugin: it'll work only until log with second user and suspend, then error is back.

Shlomo Bachar (shlomo-bachar) wrote :

This bug happens to me also. I had this problem in my laptop during a few months. But it disappeared after a while. Now it suddenly appeared on my desktop. 16.04 LTS. I dont have other users in my computers as others mentioned. It happened after a few weeks of a fresh Ubuntu installation. Annoying but not serious. It happens after returning from screen lock or restart. Disappears after doing "ESC".

pommm (pommm) wrote :

I 've got this bug after "apt-get dist-upgrade" on my system too.

System before bug:
Ubuntu 16.04.1 LTS
Kernel 4.4.0-45-generic #66-Ubuntu SMP

After upgrade:
Ubuntu 16.04.5 LTS
Kernel 4.4.0-131-generic #157-Ubuntu SMP

User A logged in
User A lock screen
User B logged in
User B logged out
User A try to login.

Message:
Authentication failure
Swith to Greeter

If click Swith to Greeter it witll allow you to login and then it is back.

Tobias (tobias-welti) wrote :

I also experience the same problem on a fresh Ubuntu 16.04.5 LTS install. Fresh meaning: installed 6 days ago, in the meantime had to do 'sudo apt install --reinstall ubuntu-desktop'. Since then, I'm having this issue every time I lock my screen.

gadflysu (gadflysu) wrote :

Same issue on Ubuntu 18.04 LTS using Unity / lgihtdm / Compiz.
Every time I lock the screen, I have to "switch to greeter" as it shows.
So...Any solution to fix this now?
I'm not sure if the information below would help.

➜ ~ tail /var/log/auth.log

Dec 25 14:54:05 gadflysu-ubuntu lightdm: pam_unix(lightdm-greeter:session): session opened for user lightdm by (uid=0)
Dec 25 14:54:05 gadflysu-ubuntu systemd: pam_unix(systemd-user:session): session opened for user lightdm by (uid=0)
Dec 25 14:54:05 gadflysu-ubuntu systemd-logind[973]: New session c7 of user lightdm.
Dec 25 14:54:06 gadflysu-ubuntu lightdm: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Dec 25 14:54:06 gadflysu-ubuntu lightdm: PAM adding faulty module: pam_kwallet.so
Dec 25 14:54:06 gadflysu-ubuntu lightdm: PAM unable to dlopen(pam_kwallet5.so): /lib/security/pam_kwallet5.so: cannot open shared object file: No such file or directory
Dec 25 14:54:06 gadflysu-ubuntu lightdm: PAM adding faulty module: pam_kwallet5.so
Dec 25 14:54:06 gadflysu-ubuntu lightdm: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "gadflysu"
Dec 25 14:54:41 gadflysu-ubuntu systemd-logind[973]: Removed session c7.
Dec 25 14:54:41 gadflysu-ubuntu systemd: pam_unix(systemd-user:session): session closed for user lightdm

➜ ~ lightdm --show-config

   [Seat:*]
A allow-guest=false
C greeter-wrapper=/usr/lib/lightdm/lightdm-greeter-session
D guest-wrapper=/usr/lib/lightdm/lightdm-guest-session
G user-session=unity
F greeter-session=unity-greeter
H xserver-command=X -core
I type=xlocal
I display-setup-script=/sbin/prime-offload
I display-stopped-script=/sbin/prime-switch

   [LightDM]
B backup-logs=false

Sources:
A /usr/share/lightdm/lightdm.conf.d/50-disable-guest.conf
B /usr/share/lightdm/lightdm.conf.d/50-disable-log-backup.conf
C /usr/share/lightdm/lightdm.conf.d/50-greeter-wrapper.conf
D /usr/share/lightdm/lightdm.conf.d/50-guest-wrapper.conf
E /usr/share/lightdm/lightdm.conf.d/50-ubuntu.conf
F /usr/share/lightdm/lightdm.conf.d/50-unity-greeter.conf
G /usr/share/lightdm/lightdm.conf.d/50-unity.conf
H /usr/share/lightdm/lightdm.conf.d/50-xserver-command.conf
I /usr/share/lightdm/lightdm.conf.d/90-nvidia.conf

c4pp4 (c4pp4) wrote :

Single user desktop - steps to reproduce:
1) restart computer or log out user
2) log into user session from LightDM
3) use the gear icon menu to lock the screen
4) use the gear icon menu to switch the account
5) now we are switched into LightDM
6) log into user session again
7) use the gear icon menu to lock the screen
8) Authentication failure - Switch to greeter

Rael Gugelmin Cunha (rael-gc) wrote :

@c4pp4 is the attached patch file a solution?

c4pp4 (c4pp4) wrote :

@Rael Gugelmin Cunha

My knowledge is not PAM friendly but I think it's something like this - when the screen is locked, PAM transaction is started via pam_start and after authentication (entered a password) it's closed via pam_end. But if we switch user from the locked screen, PAM transaction is not terminated via pam_end and pam_handle_ is still presented. When we return into the session and lock the screen again, the following code will cause the issue:

unity/lockscreen/UserAuthenticatorPam.cpp

if (pam_handle_)
  {
    LOG_ERROR(logger) << "Unable to start authentication because another one has already been started";
    return false;
  }

It will try 5 times to authenticate but it always returns false as pam_handle_ is still present, then the following code shows "Authentication failure" with "Switch to greeter" button:

unity/lockscreen/UserPromptView.cpp

if (num_retry_auth_ <= 5)
  {
    LOG_WARNING(logger) << "Failed to start the authentication process. Retrying for " << num_retry_auth_ << " time.";
    source_manager_.AddTimeout(100, [this] {
      StartAuthentication();
      return false;
    });
  }
  else
  {
    AddMessage(_("Authentication failure"), nux::color::Red);
    AddButton(_("Switch to greeter…"), [this] {
      session_manager_->SwitchToGreeter();
    });

My solution is to terminate the PAM transaction and let it try to init the new one. I have tested it in my case and it works without problem.
I wonder why there is the case of error - "Unable to start authentication because another one has already been started". I don't know what case it's related to.

The attachment "authentication.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Roland (roland-breedveld) wrote :

Same issue, sometimes, with Ubuntu 18.10
switching user isn working
workarround is to switch to another console (ctr-alt-F1) after loggin in get my session back
if it occours, itś every time the screen locks also with the lock-screen button

Khurshid Alam (khurshid-alam) wrote :

@@c4pp4

Please test if it works with multiple users. If it does it's better to attach a git patch with proper header.

commit your local changes using

git commit -a -m "<your specific message>"

then generate a patch using

git format-patch -s -n -1 HEAD

Then you will have a 0001-*.patch in root project dir.

c4pp4 (c4pp4) wrote :

@Khurshid Alam

I have tested it with multiple users without problem. I have tweaked it little bit.

Krzysztof Ostaszewski (mdfrg) wrote :

@c4pp4

How can I apply the patch? Or should I wait for it to be upstream and available via apt upgrade? I am on Ubuntu 18.04 and 18.10 with same multi-user problem.

c4pp4 (c4pp4) wrote :

@Krzysztof Ostaszewski

Test build:
https://launchpad.net/~c4pp4/+archive/ubuntu/ppa

Rael Gugelmin Cunha (rael-gc) wrote :

I'm adding the PPA to my install in order to test.

Rael Gugelmin Cunha (rael-gc) wrote :

Now almost 2 days using: I've resumed from suspend, switched users, and still working fine! Hope we can get this published soon! Thank you @c4pp4!

Rael Gugelmin Cunha (rael-gc) wrote :

Ok, after install the PPA, this issue is gone. No reboot since 19th, and several users used my box, I've suspend and resumed: working like a charm.

Now how can we get this patch as an official update?

Khurshid Alam (khurshid-alam) wrote :

@Rael

As of now Unityshell compiz plugin is crashing in disco (bug 1812964), once that's fixed I will open a merge.

Krzysztof Ostaszewski (mdfrg) wrote :

@c4pp4 any chance providing a ppa for cosmic?

c4pp4 (c4pp4) wrote :

@Krzysztof Ostaszewski

As you wish, it's ready now.

Changed in unity (Ubuntu):
importance: Undecided → Medium
Andrea Azzarone (azzar1) on 2019-02-13
Changed in unity (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
no longer affects: unity
Krzysztof Ostaszewski (mdfrg) wrote :

@c4pp4 Than you for the trouble. I installed your PPA and after update I can confirm the patch solved my issue. I no longer see "authentication failure" dialog. Unity 7.5.0 on Ubuntu 18.10

Krzysztof Ostaszewski (mdfrg) wrote :

@c4pp4 because of other issues I had in my system (Firefox acting weird with recent 64 and 65 releases on 18.10) i rolled back to 18.04 (using LVM and backups) and installed your PPA - it also solved my long lasting issue with multiple logged-in accounts. Thanks!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+19.04.20190217-0ubuntu1

---------------
unity (7.5.0+19.04.20190217-0ubuntu1) disco; urgency=medium

  [ Andrea Azzarone ]
  * locksreen: cancel authentication if externally unlocked (LP:
    #1733557)

 -- Dmitry Shachnev <email address hidden> Sun, 17 Feb 2019 19:14:19 +0000

Changed in unity (Ubuntu):
status: Confirmed → Fix Released
Krzysztof Ostaszewski (mdfrg) wrote :

Perfect! Is it backported to 18.04 and 18.10?

Rael Gugelmin Cunha (rael-gc) wrote :

A friendly reminder it affects 16.04 too (aside 18.04 and 18.10).

Hello Andrew, or anyone else affected,

Accepted unity into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.5.0+18.10.20190304-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in unity (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Krzysztof Ostaszewski (mdfrg) wrote :

That's great news! Does it mean it will be backported into bionic after it will be accepted from proposed? Is there a way to enable proposed for 18.04?

Changed in unity (Ubuntu Cosmic):
importance: Undecided → Medium
tags: removed: 16.04 17.10
Changed in unity (Ubuntu Xenial):
importance: Undecided → Medium
Changed in unity (Ubuntu Bionic):
importance: Undecided → Medium
description: updated
tags: added: lockscreen
Rolf Leggewie (r0lf) on 2019-03-11
Changed in unity (Ubuntu Bionic):
status: New → Confirmed
Andrea Azzarone (azzar1) on 2019-03-13
Changed in unity (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in unity (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Andrea Azzarone (azzar1)
Changed in unity (Ubuntu Bionic):
assignee: nobody → Andrea Azzarone (azzar1)
Changed in unity (Ubuntu Cosmic):
assignee: nobody → Andrea Azzarone (azzar1)
Andrea Azzarone (azzar1) wrote :

I can no longer reproduce the problem in Cosmic following the steps in [Test Case]. I'm running Unity 7.5.0+18.10.20190304-0ubuntu1. Marking as verification-done.

tags: added: verification-done verification-done-cosmic
removed: verification-needed verification-needed-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+18.10.20190304-0ubuntu1

---------------
unity (7.5.0+18.10.20190304-0ubuntu1) cosmic; urgency=medium

  * lockscreen: cancel authentication if externally unlocked (LP:
    #1733557)

 -- Andrea Azzarone <email address hidden> Mon, 04 Mar 2019 11:03:23 +0000

Changed in unity (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Rael Gugelmin Cunha (rael-gc) wrote :

@sil2100 Any chance we get a build for Xenial and Bionic?

Vasya Pupkin (shadowlmd) wrote :

I've started seeing this bug in Ubuntu 16.04 recently.

Hello Andrew, or anyone else affected,

Accepted unity into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.5.0+18.04.20190304-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in unity (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done
Łukasz Zemczak (sil2100) wrote :

Hello Andrew, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.5+16.04.20190312-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in unity (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

I have accepted Andrea's fixes to both xenial-proposed and bionic-proposed - could you please perform validation? Thank you!

Simon Quigley (tsimonq2) wrote :

Unsubscribing the sponsors team, as there is nothing left to sponsor.

Displaying first 40 and last 40 comments. View all 145 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers